Skip to main content
GET
/
inventory
/
packages
/
sold
/
{patient_id}
List Patient Packages
curl --request GET \
  --url https://api.decodahealth.com/inventory/packages/sold/{patient_id} \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "packageId": "<string>",
    "patientId": "<string>",
    "chargeItemId": "<string>",
    "status": "USED",
    "createdDate": "2023-11-07T05:31:56Z",
    "items": [
      {
        "price": 123,
        "quantity": 123,
        "quantityRemaining": 123,
        "item": {
          "name": "<string>",
          "price": 123,
          "id": "<string>",
          "brandName": "<string>",
          "description": "<string>",
          "category": "<string>",
          "unit": "AMPOULES",
          "isPhysical": true,
          "isArchived": false,
          "internalNotes": "<string>",
          "sortOrder": 123,
          "allowCustomPricing": false,
          "type": "PRODUCT",
          "externalId": "<string>",
          "exemptedTaxIds": [
            "<string>"
          ],
          "cost": 123
        }
      }
    ],
    "chargeId": "<string>",
    "cancellationReason": "<string>",
    "price": 0,
    "discountAmount": 123
  }
]

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

patient_id
string
required

Query Parameters

include_used
boolean
default:false

Include USED (fully consumed) packages in results

Response

Successful Response

id
string
required
name
string
required
packageId
string
required
patientId
string
required
chargeItemId
string
required
status
enum<string>
required
Available options:
USED,
ACTIVE,
CANCELLED
createdDate
string<date-time>
required
items
PackageItemUsage · object[]
required
chargeId
string | null
cancellationReason
string | null
price
integer
default:0
discountAmount
integer | null